# 監査レポートコマンド

### 監査レポート <a href="#audit-report" id="audit-report"></a>

メッセージ付きの監査レポート行の一覧を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --limit 50`

作成日時、ユーザー名、イベント種別、メッセージを含むレポート行の一覧を返します。

**パラメーター:**

`limit` - 行数の上限。

**例:**

```sh
My Vault> audit-report --limit 50
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**別名:** `kar`

作成日時、ユーザー名、イベント種別、メッセージを含むレポート行の一覧を返します。

**パラメーター:**

`-Limit` - 行数の上限。

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport -Limit 5
Created             Username                    Event             Message
-------             --------                    -----             -------
24-03-2026 11:02:25 test1@example.com            login             User a1@gmail.com… 
24-03-2026 11:02:25 Exampl1                      audit_alert_sent  Audit alert "A12" was sent to th… 
24-03-2026 11:01:52 user@example.com             app_client_access KSM device TestRoyalts has acces… 
24-03-2026 11:01:52 Exampl2                      audit_alert_sent  Audit alert "Jira Alert - Test" … 
24-03-2026 11:01:52 Exampl3                      audit_alert_sent  Audit alert "A12" was sent to th… 
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**例:**

```
My Vault> audit-report --report-type raw
Created                    Audit Event Type    Username                          IP Address    Keeper Version      Geo Location      Message
-------------------------  ------------------  --------------------------------  ------------  ------------------  ----------------  -------------------------------------------------------------------------------------------------------------------------------------
2026-04-27 16:55:05+05:30  login               a.test1@keepersecurity.com  10.5.12.58    Commander 17.2.0    null, null, null  User a.test1@keepersecurity.com logged in to vault (PASS)
2026-04-27 16:54:49+05:30  login               a.test1@keepersecurity.com  10.5.11.246   Commander 17.0.0    null, null, null  User a.test1@keepersecurity.com logged in to vault (PASS)
2026-04-27 16:54:49+05:30  device_approved     a.test1@keepersecurity.com  10.5.11.246   Commander 17.0.0    null, null, null  Device Python Keeper API is approved for user a.test1@keepersecurity.com
2026-04-27 16:53:06+05:30  login               p.test@keepersecurity.com   10.5.12.58    SupportTool 17.3.0  null, null, null  User p.test@keepersecurity.com logged in to vault (PASS)
```

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

### 監査レポートのパターン接頭辞 <a href="#audit-report-pattern-prefixes" id="audit-report-pattern-prefixes"></a>

正規表現パターンごとに一致したレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "regex:login.*"`

**パラメーター:**

`regex:<pattern>` - 単一の正規表現パターン。

`exact:<text>` - 完全一致文字列。

`not:exact:<text>` - 否定フィルター。

**例:**

```sh
My Vault> audit-report "regex:login.*"
```

```sh
My Vault> audit-report "exact:record_update"
```

```sh
My Vault> audit-report "not:exact:login"
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**別名:** `kar`

**パラメーター:**

`regex:<pattern>` - 単一の正規表現パターン。

`exact:<text>` - 完全一致文字列。

`not:exact:<text>` - 否定フィルター。

**例:**

{% code overflow="wrap" %}

```ps
PS > Get-KeeperAuditReport "regex:login.*"

Created             Username                        Event            Message
-------             --------                        -----            -------
24-03-2026 11:23:45 test1@example.com             login            User test1@Exampl                      .com logged in to vault (PASS)
24-03-2026 11:23:09 test2@example.com             login            User test2@example.com logged in to vault (PASS)
24-03-2026 11:11:32 test3@example.com             login            User test3@example.com logged in to vault (PASS)

PS > Get-KeeperAuditReport "exact:login_failure "

Created             Username                     Event         Message
-------             --------                     -----         -------
24-03-2026 11:01:14 test3@example.com         login_failure     User test3@example.com login failed with code invalid_credentials
24-03-2026 11:01:08 test3@example.com         login_failure     User test3@example.com login failed with code invalid_credentials
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

### 監査レポートのすべて一致 <a href="#audit-report-match-all" id="audit-report-match-all"></a>

複数パターンがすべて一致するレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "exact:audit_alert_sent" "exact:A12" --match-all`

**パラメーター:**

`exact:<text>` - 完全一致文字列。

`match-all` - AND 条件 (すべてのパターンが一致) 。

**例:**

```powershell
My Vault> audit-report "exact:audit_alert_sent" "exact:A12" --match-all
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**パラメーター:**

`exact:<text>` - 完全一致文字列。

`-MatchAll` - AND 条件 (すべてのパターンが一致) 。

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport "exact:audit_alert_sent" "exact:A12" -MatchAll

Created             Username Event            Message
-------             -------- -----            -------
24-03-2026 11:30:00 user1    audit_alert_sent Audit alert "A12" was sent to throttled
24-03-2026 11:23:45 user2    audit_alert_sent Audit alert "A12" was sent to throttled
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

### 監査レポートのレポート種別 <a href="#audit-report-report-type" id="audit-report-report-type"></a>

指定したレポート種別のレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type span --columns username audit_event_type`

**パラメーター:**

`report-type` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

**例:**

```sh
My Vault> audit-report --report-type day --columns audit_event_type
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**パラメーター:**

`-ReportType` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`-Columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport -ReportType span -Columns username,audit_event_type

username                          audit_event_type
--------                          ----------------
Deleted User ID: -6                audit_alert_sent
test1@example.com                  folder_add_record
test1@example.com                  folder_remove_record
Deleted User ID: -8                agent_added_to_collection
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

### 監査レポートの集計 <a href="#audit-report-aggregate" id="audit-report-aggregate"></a>

集計列を含むレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --aggregate occurrences`

**パラメーター:**

`aggregate` - 集計列。例: `occurrences, first_created, last_created` 。

**例:**

```sh
My Vault> audit-report --report-type day --aggregate occurrences last_created      
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**パラメーター:**

`-Aggregate` - 集計列。例: `occurrences, first_created, last_created` 。

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport -ReportType day -Columns username,audit_event_type -Aggregate occurrences 

    occurrences username                          audit_event_type
----------- --------                          ----------------
    2474462 Deleted User ID: -6               audit_alert_sent
     264270 test1@example.com                 folder_add_record
     168258 test1@example.com                 folder_remove_record
     124023 Deleted User ID: -8               agent_added_to_collection
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

### 監査レポートのフィルター <a href="#audit-report-filters" id="audit-report-filters"></a>

フィルター条件に基づくレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --created today --columns username ip_address --order asc`

**パラメーター:**

`report-type` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`order` - レポート行の並び順 `asc` または `desc` 。

**フィルター:**

`created` - 作成日時フィルター。例: `today, yesterday, last_7_days, last_30_days, month_to_date, last_month, year_to_date, last_year` 。

`event-type` - イベント種別でフィルター。例: `login, record_update` 。

`username` - ユーザー名でフィルター。

`to-username` - イベントの対象ユーザーでフィルター。

`record-uid` - レコードでフィルター。

`shared-folder-uid` - 共有フォルダでフィルター。

`ip-address` - IP アドレスでフィルター。

**例:**

```sh
My Vault> audit-report --report-type day --created today --columns username ip_address
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**パラメーター:**

`-ReportType` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`-Columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`-Order` - レポート行の並び順 `asc` または `desc` 。

**フィルター:**

`-Created` - 作成日時フィルター。例: `today, yesterday, last_7_days, last_30_days, month_to_date, last_month, year_to_date, last_year` 。

`-EventType` - イベント種別でフィルター。例: `login, record_update` 。

`-Username` - ユーザー名でフィルター。

`-ToUsername` - イベントの対象ユーザーでフィルター。

`-RecordUid` - レコードでフィルター。

`-SharedFolderUid` - 共有フォルダでフィルター。

`-IpAddress` - IP アドレスでフィルター。

`-NodeId` - ノードで絞り込み

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport -ReportType day -Created last_7_days  -Columns username, ip_address -Order asc

username                          ip_address
--------                          ----------
test1@example.com                 10.5.12.58
Deleted User ID: -7               10.5.12.202
Deleted User ID: -8               54.157.148.5
test2@example.com                 10.5.11.246
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>

#### 監査レポートの出力形式 <a href="#audit-report-format" id="audit-report-format"></a>

json、table、csv などの出力形式に応じたレポート行を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --columns username ip_address --format json`

**パラメーター:**

`report-type` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`format` - 出力形式 (json、table、csv) 。

**例:**

```sh
My Vault> audit-report --report-type day  --columns username ip_address --format json
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperAuditReport`

**パラメーター:**

`-ReportType` - レポート種別。例: `raw, hour, day, week, month, span, dim` 。

`-Columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`-Format` - 出力形式 (json、table、csv) 。

**例:**

{% code overflow="wrap" %}

```powershell
PS > Get-KeeperAuditReport -ReportType day  -Columns username, ip_address -Format json
[
  {
    "username": "Deleted User ID: -6",
    "ip_address": null
  },
  {
    "username": "test1@example.com",
    "ip_address": "10.5.12.58"
  },
  {
    "username": "Deleted User ID: -6",
    "ip_address": null
  }
 ]
```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**近日公開**

</details>

<details>

<summary>Python SDK</summary>

**近日公開**

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/audit-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
